<template>
  <div class="dashboard">
    <h2 class="project-name">My Cool project</h2>
    <ProjectMenu />
    <component v-bind:is="activeComponent" />
  </div>
</template>

<script>
import ProjectMenu from "./widgets/ProjectMenu.vue";
import OverviewTab from "./tabs/OverviewTab.vue";

export default {
  name: "Dashboard",
  components: {
    ProjectMenu, 
    OverviewTab
  },
  data: function() {
      return {
          activeComponent: OverviewTab
      }
  },
};
</script>

<style>
.dashboard {
    display: flex; 
    flex-direction: column; 
    flex-wrap: nowrap;
    margin-top: 50px;
    margin-left: 200px; 
    margin-right: 200px;
}
.dashboard > * {
  margin-top: 20px;
}


</style>

